## Fetch all presets `client.RealtimeKit.Presets.Get(ctx, appID, params) (*PresetGetResponse, error)` **get** `/accounts/{account_id}/realtime/kit/{app_id}/presets` Fetches all the presets belonging to an App. ### Parameters - `appID string` The app identifier tag. - `params PresetGetParams` - `AccountID param.Field[string]` Path param: The account identifier tag. - `PageNo param.Field[float64]` Query param: The page number from which you want your page search results to be displayed. - `PerPage param.Field[float64]` Query param: Number of results per page ### Returns - `type PresetGetResponse struct{…}` - `Data []PresetGetResponseData` - `ID string` ID of the preset - `CreatedAt Time` Timestamp this preset was created at - `Name string` Name of the preset - `UpdatedAt Time` Timestamp this preset was last updated - `Paging PresetGetResponsePaging` - `EndOffset float64` - `StartOffset float64` - `TotalCount float64` - `Success bool` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/realtime_kit" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) preset, err := client.RealtimeKit.Presets.Get( context.TODO(), "app_id", realtime_kit.PresetGetParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", preset.Data) } ``` #### Response ```json { "data": [ { "id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e", "created_at": "2019-12-27T18:11:19.117Z", "name": "name", "updated_at": "2019-12-27T18:11:19.117Z" } ], "paging": { "end_offset": 30, "start_offset": 1, "total_count": 30 }, "success": true } ```